Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Your firewall has a version number null...

Your firewall has a version number null which is not supported by ASDM 6.2(5).  I received this error when trying to run asdm on my asa 5505.  I upgraded image and asdm trying different versions.  I used many different versions of java all to no avail.  In order to fix this issue you must have the same authentication for ssh and http in your AAA commands.  For example, I had ssh to use TACACS but http authentication was set for LOCAL.  When I changed AAA for http to TACACS the problem went away and I was able to use asdm.

Everyone's tags (3)
5 REPLIES
New Member

Re: Your firewall has a version number null...

Hi,

Please help I am also facing the same proble.In my case it is FWSM module.Go through the following.

aaa authentication telnet console TAC
aaa authentication ssh console TAC LOCAL
aaa authorization command TAC

http server enable
http 10.3.167.34 255.255.255.255 Srvinside
http 10.3.72.99 255.255.255.255 WAN-FWSM
http 10.3.72.94 255.255.255.255 WAN-FWSM
http 10.3.2.119 255.255.255.255 WAN-FWSM
http 10.3.2.23 255.255.255.255 WAN-FWSM
http 10.3.2.21 255.255.255.255 WAN-FWSM
http 10.3.72.83 255.255.255.255 WAN-FWSM

FWSM Firewall Version 3.1(13)
Device Manager Version 6.1(2)F

Compiled on Sun 16-Nov-08 04:53 by fwsmbld

FWSM up 1 year 65 days
failover cluster up 1 year 65 days

Hardware:   WS-SVC-FWM-1, 1024 MB RAM, CPU Pentium III 1000 MHz
Flash SMART CF @ 0xc321, 20MB

0: Int: Not licensed        : irq 5
1: Int: Not licensed        : irq 7
2: Int: Not licensed        : irq 11
The Running Activation Key is not set, using default settings:

Licensed features for this platform:
Maximum Interfaces          : 100      
Inside Hosts                : Unlimited
Failover                    : Active/Active
VPN-DES                     : Enabled  
VPN-3DES-AES                : Enabled  
Cut-through Proxy           : Enabled  
Guards                      : Enabled  
URL Filtering               : Enabled  
Security Contexts           : 2        
GTP/GPRS                    : Disabled 
VPN Peers                   : Unlimited

Help me to resolve the issue.

Thanks and Regards,

Cisco Employee

Re: Your firewall has a version number null...

Venkat,

That is interesting.

Please open a  case with TAC, if it is reproducible they need to look at it.

PK

New Member

Re: Your firewall has a version number null...

Hi PK,

Thanks for the info..

S.Venkat

Your firewall has a version number null...

has any one fix this issue?

New Member

Your firewall has a version number null...

The error sometime disaapears if you use TACACS. Try changeing the http authetication method from LOCAL to TACACS which might resolve the issue.

Anil Kumar K

2345
Views
0
Helpful
5
Replies